Subject: porting u-boot to WindRiver MDP PRO???????????????
From: <[email-masked]>
To: [email-masked]
Date: Fri, 19 Sep 2003 14:53:04 +0800

hello,all!
    I'm trying to put u-boot-0.4.0 to the WindRiver MDP PRO board(with 

a daughter board Mpc823),I use the FADS823 as my model to modify. I use 

the vision ICEII BDM interface to program flash and debug the code.

1.in the cpu/mpc8xx/cpu_init.c :when I masked the or/br set clause,the 

info can displayed on the console, when not, nothing displayed 
2.After I masked the OR/BR in the cpu_init.c,when I debug with the 

vision ICEII BDM,everything is OK; when without the BDM, the u-boot can 

run to relocate_code() in lib_ppc/board.c:
with vision ICE：
U-Boot 0.4.0 (Sep 19 2003 - 11:12:10)

CPU:   PPC823ZTnnB2 at 25 MHz: 2 kB I-Cache 1 kB D-Cache
Board: bcsr3=0x1000000c
*((uint *)BCSR3)=0xbbbbbbbb
WindRiver with db MPC823 rev MDP PRO
I2C:   ready
DRAM:  bcsr2=0x10000008
(uint *)bcsr2=0x10000008
*((uint *)bcsr2)=0xbbbbbbbb
k=0x7
 4 MB
before relocate_code() in board.c
FLASH: value=0x1
value=0xa4
size_b1=0x80000value=0x1
value=0xa4
512 kB
In:    serial
Out:   serial
Err:   serial
Net:   SCC ETHERNET
=>

without vision ICE：
U-Boot 0.4.0 (Sep 19 2003 - 11:12:10)

CPU:   PPC823ZTnnB2 at 25 MHz: 2 kB I-Cache 1 kB D-Cache
Board: bcsr3=0x1000000c
*((uint *)BCSR3)=0x2e342e30
WindRiver with db MPC823 rev MDP PRO
I2C:   ready
DRAM:  bcsr2=0x10000008
(uint *)bcsr2=0x10000008
*((uint *)bcsr2)=0x6f742030
k=0xe
 4 MB
before relocate_code() in board.c

I have been trapped here for 3 weeks.Some guy told me that my dram 

hasn't been initialized correctly! I have modified the UPM table,the 

OR/BR, but it doesn't work! Can you tell me how to initialize the dram 

? Any advices are appriciated!